getEpochSchedule
POST
Returns the epoch schedule information from this cluster
Responses
idinteger
The request IDjsonrpcstring
The JSON-RPC versionfirstNormalEpochinteger
First normal-length epoch, log2(slotsPerEpoch) - log2(MINIMUM_SLOTS_PER_EPOCH)firstNormalSlotinteger
Minimum number of slots in an epoch, MINIMUM_SLOTS_PER_EPOCH * (2.pow(firstNormalEpoch) - 1)leaderScheduleSlotOffsetinteger
The number of slots before beginning of an epoch to calculate a leader schedule for that epoch.slotsPerEpochinteger
The maximum number of slots in each epoch.warmupboolean
Whether epochs start short and grow.codestringrequired
Code identifying the cause of the failed request.messagestringrequired
Detailed message including the name and value of the invalid parameter.{"code": "ERROR_CODE","message": "Bad Request"}
cURL
curl -X POST 'https://solana-mainnet.nodit.io' \-H 'Content-Type: application/json' \-H 'X-API-KEY: nodit-demo' \-d '{"jsonrpc": "2.0","id": 1,"method": "getEpochSchedule","params": []}'